Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Specifies attributes of a type.

This enumeration is used by the class.

- Field
  System.Reflection.TypeAttributes

  Specifies that the type is not implemented in the declaring type.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class

  Specifies that LPSTR is interpreted as ANSI.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that LPSTR is interpreted automatically.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class Specifies that fields of the type are automatically laid out by the system. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Specifies that calling static methods of the type does not force the system to initialize the type. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class

  Specifies that the type is a class.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies a bitmask used to determine whether a type is a class or interface.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that LPSTR is interpreted by some implementation-specific means, which includes the possibility of throwing a .

  2.0.0.0
- Field
  System.Reflection.TypeAttributes To be added. 2.0.0.0
- Field
  System.Reflection.TypeAttributes Specifies that the layout of fields in the type is provided explicitly. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, HasSecurity To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, Import To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is an interface.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies a bitmask used to obtain layout information.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is nested and is accessible only to members within its assembly.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is nested and is accessible only to members of its family in its assembly.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is nested and is accessible only to members of its family.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is nested and is accessible only to members of its family and throughout its assembly.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is nested with private visibility.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is nested with public visibility.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class

  Specifies that the type is not public.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type has public visibility.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, ReservedMask To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, RTSpecialName To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type cannot be used to derive new types.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that fields in the type are laid out sequentially.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, Serializable To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that the type is treated in a special way by some tools.

  For more information on special names, see Partition I of the CLI Specification.

  For more information on in metadata, see Partition II of the CLI Specification.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies a bitmask used to obtain string format information.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies that LPSTR is interpreted as Unicode.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.TypeAttributes

  Specifies a bitmask used to obtain visibility information.

  To be added. 0 1.0.5000.0 2.0.0.0
0